'use strict';
var path = require('path'),
  rootPath = path.normalize(__dirname + '/..'),
  env = process.env.NODE_ENV || 'development';

var config = {
  development: {
    root: rootPath,
    app: {
      name: 'pisns-forum-api'
    },
    rest_api:'http://localhost:8080',
    service:'http://localhost',
    port: 3011,
    mongodb: {
      uri: 'mongodb://114.215.206.32:27018/pisns-forum',
      username: '',
      password: '',
      poolSize: 5
    },
    ossConfig: {
      accessKeyId: 'ezpP6LGjecQW6zJC',
      accessKeySecret: '1iqc1bkwZCVjK7oFUYdGm6e0xOL4mF',
      bucketNameProd: 'pisns-oss-res',
      bucketNameDev: 'pisns-oss-dev',
      prodCDNURL: 'http://fs.wxpai.cn/',
      devCDNURL: 'http://dev.fs.wxpai.cn/'
    },
    sessionStore: {
      password: 'future123456',
      port: 6379,
      host: '115.29.177.177',
      db: 2
    }
  },

  sandbox: {
    root: rootPath,
    app: {
      name: 'pisns-forum-api'
    },
    rest_api:'http://rest.wxpai.cn',
    service:'http://sandbox.wxpai.cn',
    port: 3011,
    mongodb: {
      //uri: 'mongodb://114.215.206.32:27018/pisns-forum-sandbox',
	  uri: 'mongodb://10.161.234.251:27018/pisns-forum-sandbox',
      username: '',
      password: '',
      poolSize: 5
    },
    ossConfig: {
      accessKeyId: 'ezpP6LGjecQW6zJC',
      accessKeySecret: '1iqc1bkwZCVjK7oFUYdGm6e0xOL4mF',
      bucketNameProd: 'pisns-oss-res',
      bucketNameDev: 'pisns-oss-dev',
      prodCDNURL: 'http://fs.wxpai.cn/',
      devCDNURL: 'http://dev.fs.wxpai.cn/'
    },
    sessionStore: {
      password: 'future123456',
      port: 6379,
      host: '10.161.177.181',
      db: 2
    }

  },
  production: {
    root: rootPath,
    app: {
      name: 'pisns-forum-api'
    },
    rest_api:'https://rest.wxpai.cn',
    service:'http://piplus.wxpai.cn',
    port: 3011,

    mongodb: {
      uri: 'mongodb://mongo-1.internal.piplus.vip:3717,mongo-2.internal.piplus.vip:3717,mongo-3.internal.piplus.vip:3717/pisns-forum?replicaSet=mgset-1061465',
      username: 'future',
      password: 'future123456',
      dbname: 'pisns-forum',
      poolSize: 50
    },
    ossConfig: {
      accessKeyId: 'ezpP6LGjecQW6zJC',
      accessKeySecret: '1iqc1bkwZCVjK7oFUYdGm6e0xOL4mF',
      bucketNameProd: 'pisns-oss-res',
      bucketNameDev: 'pisns-oss-dev',
      prodCDNURL: 'http://fs.wxpai.cn/',
      devCDNURL: 'http://dev.fs.wxpai.cn/'
    },
    sessionStore: {
      password: 'a39131f8d598429f:GuangZhouhdp123',
      port: 6379,
      host: 'a39131f8d598429f335.redis.rds.aliyuncs.com',
      db: 2
    }
  }

};
module.exports = config[env];
